Package org.opensaml.xmlsec.keyinfo.impl

# Class X509KeyInfoGeneratorFactory.X509Options

java.lang.Object
org.opensaml.xmlsec.keyinfo.impl.BasicKeyInfoGeneratorFactory.BasicOptions
org.opensaml.xmlsec.keyinfo.impl.X509KeyInfoGeneratorFactory.X509Options

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  X509KeyInfoGeneratorFactory

protected class X509KeyInfoGeneratorFactory.X509Options extends BasicKeyInfoGeneratorFactory.BasicOptions
Options to be used in the production of a `KeyInfo` from an `X509Credential`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`emitCRLs`
Emit the CRL list as sequence of X509CRL elements within X509Data.
`private boolean`
`emitEntityCertificate`
Emit the entity certificate as an X509Certificate element within X509Data.
`private boolean`
`emitEntityCertificateChain`
Emit the entity certificate chain as sequence of X509Certificate elements within X509Data.
`private boolean`
`emitSubjectAltNamesAsKeyNames`
Emit the entity certificate subject alternative name extension values as KeyName elements.
`private boolean`
`emitSubjectCNAsKeyName`
Emit the entity certificate subject DN common name (CN) fields as KeyName elements.
`private boolean`
`emitSubjectDNAsKeyName`
Emit the entity certificate subject DN as a KeyName element.
`private boolean`
`emitX509Digest`
Emit the entity certificate digest as an X509Digest element within X509Data.
`private boolean`
`emitX509IssuerSerial`
Emit the entity certificate issuer name and serial number as an X509IssuerSerial element within X509Data.
`private boolean`
`emitX509SKI`
Emit the entity certificate subject key identifier as an X509SKI element within X509Data.
`private boolean`
`emitX509SubjectName`
Emit the entity certificate subject DN as an X509SubjectName element within X509Data.
`private Set<Integer>`
`subjectAltNames`
The set of types of subject alternative names to process.
`private X500DNHandler`
`x500DNHandler`
Responsible for parsing and serializing X.500 names to/from `X500Principal` instances.
`private String`
`x500IssuerDNFormat`
The format specifier for outputting X.500 issuer names.
`private String`
`x500SubjectDNFormat`
The format specifier for outputting X.500 subject names.
`private String`
`x509DigestAlgorithmURI`
X509Digest digest algorithm URI.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`X509Options()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected X509KeyInfoGeneratorFactory.X509Options`
`clone()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### emitEntityCertificate

private boolean emitEntityCertificate
Emit the entity certificate as an X509Certificate element within X509Data.

### emitEntityCertificateChain

private boolean emitEntityCertificateChain
Emit the entity certificate chain as sequence of X509Certificate elements within X509Data.

### emitCRLs

private boolean emitCRLs
Emit the CRL list as sequence of X509CRL elements within X509Data.

### emitX509SubjectName

private boolean emitX509SubjectName
Emit the entity certificate subject DN as an X509SubjectName element within X509Data.

### emitX509IssuerSerial

private boolean emitX509IssuerSerial
Emit the entity certificate issuer name and serial number as an X509IssuerSerial element within X509Data.

### emitX509SKI

private boolean emitX509SKI
Emit the entity certificate subject key identifier as an X509SKI element within X509Data.

### emitX509Digest

private boolean emitX509Digest
Emit the entity certificate digest as an X509Digest element within X509Data.

### x509DigestAlgorithmURI

@Nonnull private String x509DigestAlgorithmURI
X509Digest digest algorithm URI.

### emitSubjectDNAsKeyName

private boolean emitSubjectDNAsKeyName
Emit the entity certificate subject DN as a KeyName element.

### emitSubjectCNAsKeyName

private boolean emitSubjectCNAsKeyName
Emit the entity certificate subject DN common name (CN) fields as KeyName elements.

### emitSubjectAltNamesAsKeyNames

private boolean emitSubjectAltNamesAsKeyNames
Emit the entity certificate subject alternative name extension values as KeyName elements.

### subjectAltNames

@Nonnull private Set<Integer> subjectAltNames
The set of types of subject alternative names to process.

### x500DNHandler

@Nonnull private X500DNHandler x500DNHandler
Responsible for parsing and serializing X.500 names to/from `X500Principal` instances.

### x500SubjectDNFormat

private String x500SubjectDNFormat
The format specifier for outputting X.500 subject names.

### x500IssuerDNFormat

private String x500IssuerDNFormat
The format specifier for outputting X.500 issuer names.

## Constructor Details

### X509Options

protected X509Options()
Constructor.

## Method Details

### clone

protected X509KeyInfoGeneratorFactory.X509Options clone()

Overrides:
  `clone` in class `BasicKeyInfoGeneratorFactory.BasicOptions`